Subject: bug#41984: 28.0.50; term.el's select-window call interacts badly with modeline

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 17 Sep 2021 18:38:48 +0200

Herman, Géza <[email-masked]> writes:

> I found if I modify this "(select-window win)" line to "(select-window
> win t)", the bug doesn't happen anymore (I'm not sure whether it's a
> correct fix in all regards or not).

I think that sounds like the correct fix here (since we're just doing
this for internal reasons, we shouldn't record the window selection), so
I've pushed this change to Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no